﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */
header {
    /* margin-bottom: 24px; */
    height: 60px;
}

.menubutton-hover:hover {
    background-color: #f8f9fa;
}

a.navbar-brand {
    width: 300px;
    max-width: 600px;
    background-repeat: no-repeat;
    background-size: contain;
}

.main-container{
    display: flex;
    flex-direction: row;
    width: 100%;
}
#main-container{
    border-left-width: 0px;
    border-left-color: #f3f4f6;
    transition: border-left-width .5s ease;
}

@media screen and (max-width: 768px) {
    .navbar {
        justify-content: space-between;
    }
}
@media screen and (max-width: 460px) {
    a.navbar-brand {
        width: 160px;
    }
}
@media screen and (max-width: 1024px) {
    #main-container{
        border-left-width: 50px;
    }
}
/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.purple-anchor {
    color: #0063af;
}

.white-anchor {
    color: #fff;
}

.anchor-uline {
    text-decoration: underline;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100%;
    width: auto;
}

.footer-summary {
    position: fixed;
    bottom: 0px;
    font-size: 0.98em;
    background-color: #eeeeee;
    color: #54595f;
    width: 100%;
    z-index: 1;
    /* z-index: 10000; */
}

.footer-summary h4 {
    color: #0063af;
}

.footer-summary ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.footer-summary .footerUsefulLinks li span {
    font-size: 0.90em;
    margin-left:10px;
}

.footer-summary .footerUsefulLinks a {
    color: #54595f;
}

.footer-summary-final {
    background-color: #0063af;
    padding: 10px 0px;
    text-align: center;
    color: #dbdbdb;
}

.footer-summary-final p {
    margin: 0px;
}

.footer-summary-final a {
    color: #dbdbdb;
}
    /*
.footerSummary li {
    position: relative;
    padding-left: 14px;
    margin-bottom: 0.5em;
}

.footerSummary li::before {
    position: absolute;
    top: 9px;
    left: 0;
    border-width: 3px;
    border-style: solid;
    webkit-border-radius: 3px;
    moz-border-radius: 3px;
    border-radius: 3px;
    content: "";
}

.footerSummary li::before {
    color: #0063af;
}
*/

/* -----------------------------------------------
    Paragraph format for Cookies, Privacy & Terms
-------------------------------------------------- */
.legals-paras {
    text-align: justify;
}

/* -----------------------------------------------
    Shopping basket
-------------------------------------------------- */
.basket-banner {
    position: relative;
    margin-top: 6px;
    height: 30px;
    width: 30px;
    text-align: center;
    background-image: url(../images/basket.png);
    background-size: cover;
}
.basket-banner:hover {
    cursor:pointer;
}
.basket-banner-counter {
    padding: 1px 5px;
    color: white;
    font-size: 1.0em;
}

/* -----------------------------------------------
    Desktop Features - Home Page
-------------------------------------------------- */
.desktop_icon_vs_90pc_gray {
    position:absolute;
    top:30px;
    left:20px;
    background-image: url(../images/dashboard_vs_icon_90pc_grey.png);
    background-size:cover;
    width:69px;
    height:80px;
}

.desktop-features h1 {
    font-size:1.0em;
}

.desktop-features img {
    height: 60px;
    margin-bottom: 10px;
}

.desktop-features p {
    font-size:0.9em;
    padding: 10px;
    background-color: #e9ecef;
    height:150px;
}
/* -----------------------------------------------
    Dashboard Features - default disabled
-------------------------------------------------- */
.dashboard-features h1 {
    font-size: 1.0em;
    color: #cccccc;
}

.dashboard-features img {
    height: 60px;
}

.dashboard-features a {
    color: black;
    text-decoration: none;
}

.dashboard-features p {
    font-size: 0.9em;
    padding: 10px;
    background-color: #e9ecef;
    height: 150px;
}

.desktop-features .text-block {
    margin-bottom: 8px;
    height: 150px;
    padding: 10px;
    background: #e9ecef;
}

.dashboard-feature {
    color: #cccccc;
    background-repeat: no-repeat;
    background-size: 50px;
    background-position-x: center;
}

.dashboard-feature div {
    font-size: 1.0em;
    margin-top:60px;
    text-align:center;
}

/* Disabled! */
.dashboard-feature-rm {
    background-image: url(../images/dashboard_rm_icon_10pc_grey_RGB.png);
}

.dashboard-feature-st {
    background-image: url(../images/dashboard_st_icon_10pc_grey_RGB.png);
}

.dashboard-feature-cam {
    background-image: url(../images/dashboard_cam_icon_10pc_grey_RGB.png);
}

.dashboard-feature-pbs {
    background-image: url(../images/dashboard_pbs_icon_10pc_grey_RGB.png);
}

.dashboard-feature-wm {
    background-image: url(../images/dashboard_wm_icon_10pc_grey_RGB.png);
}

.dashboard-feature-rcu {
    background-image: url(../images/dashboard_rcu_icon_10pc_grey_RGB.png);
}

.dashboard-feature-im {
    background-image: url(../images/dashboard_im_icon_10pc_grey_RGB.png);
}

.dashboard-feature-rl {
    background-image: url(../images/dashboard_rl_icon_10pc_grey_RGB.png);
}

/* Active! */
.dashboard-feature-st-active {
    background-image: url(../images/dashboard_st_icon_90pc_grey_RGB.png);
    color: black;
}

.dashboard-feature-st-active:hover {
    background-image: url(../images/dashboard_st_icon_blue_RGB.png);
    cursor: pointer;
    color: #0063af !important;
    font-weight:500;
}
.dashboard-assesment-am-active {
    background-image: url(../images/dashboard_am_icon_10pc_grey_RGB.png);
    color: black;
}

    .dashboard-assesment-am-active:hover {
        background-image: url(../images/dashboard_am_icon_90pc_grey_RGB.png);
        cursor: pointer;
        color: #0063af !important;
        font-weight: 500;
    }

/* ======================================================
    QPQ SPECIFICS
   ------------------------------------------------------ */
.user-dropdown {
    background-image: url(../images/person_icon.png);
}

.user-dropdown:hover {
    background-image: url(../images/person_icon.png);
}

.bg-blue {
    background-color: #0063af !important;
}

/* Audit list row action indicators */
.qpq-pointer:hover {
    cursor: pointer;
}

.qpq-not-allowed:hover {
    cursor: not-allowed;
}


/* =======================================================
    Bootstrap 4 overrides 
   ======================================================= */
/* In change between 4.1.3 => 4.3.1 the default btn color was changed to transparent. */
.btn-qpqdefault {
    background-color: #cbcbcb;
    border-color: #a0a0a0;
}


/*Nessus Report*/
#report-footer {
    width: 100%;
}

#report-footer li {
    display: inline-block;
    vertical-align: middle;
    list-style-position: outside;
    list-style-type: none;
   /* margin-right: 1em;*/
   /* text-align: center;*/
    white-space: nowrap;
    /*padding-left: 65px;*/
    color: darkgray;
    min-width: 33%;
    margin-left: 0px;
}

.bottom-left {
    text-align: left;
}

.bottom-center {
    text-align: center;
}

.bottom-right {
    text-align: right;
}
#report-footer ul {
    padding: 0 10px 0 10px;
}

.alert-info-grey {
    background-color: #E2E3E5;
}


/* Media Queries */
@media (min-width: 768px) {
    html {
        font-size: 16px;
    }

    .jumbotron img {
        margin-bottom: 8px;
    }

    .desktop-features img {
        width: 59px;
        height: 69px;
        margin-bottom: 8px;
    }

    .desktop-features {
        margin-bottom: 8px;
    }
}

@media screen and (max-width: 768px) {
    .pb-3 .logo {
        width: 300px;
        height: 70px;
    }

    .footer-summary p {
        margin-left: auto;
        margin-right: auto;
    }
}


@media screen and (min-width: 200px) and ( max-width: 399px ) {

    .footer-summary p {
        font-size: 12px;
        width: 20em;
    }
}


@media screen and (min-width: 400px) and ( max-width: 768px ) {

    .footer-summary p {
        font-size: 14px;
        width: 30em;
    }

    .desktop-features .text-block {
        height: 80px;
    }
}



@media screen and (min-width: 768px) and ( max-width: 1024px ) {

    .desktop-features .text-block {
        height: 260px;
    }
}

p .btn a {
    color: #ffff;
}
